// Custom Theming for Angular Material
// For more information: https://material.angular.io/guide/theming
@use '@angular/material' as mat;
// Plus imports for other components in your app.

// Include the common styles for Angular Material. We include this here so that you only
// have to load a single css file for Angular Material in your app.
// Be sure that you only ever include this mixin once!
@include mat.core();


// Define the palettes for your theme using the Material Design palettes available in palette.scss
// (imported above). For each palette, you can optionally specify a default, lighter, and darker
// hue. Available color palettes: https://material.io/design/color/
$devportal-primary: mat.define-palette(mat.$blue-grey-palette);
$devportal-accent: mat.define-palette(mat.$purple-palette, A200, A100, A400);

// The warn palette is optional (defaults to red).
$devportal-warn: mat.define-palette(mat.$deep-orange-palette);

// Create the theme object. A theme consists of configurations for individual
// theming systems such as "color" or "typography".
$devportal-theme: mat.define-dark-theme((
  color: (
    primary: $devportal-primary,
    accent: $devportal-accent,
    warn: $devportal-warn,
  )
));

// Define a light theme
$light-theme: mat.define-light-theme((
  color: (
    primary: mat.define-palette(mat.$indigo-palette),
    accent: mat.define-palette(mat.$pink-palette),
  ),
));

// Include theme styles for core and each component used in your app.
// Alternatively, you can import and @include the theme mixins for each component
// that you are using.
@include mat.all-component-themes($devportal-theme);

/* You can add global styles to this file, and also import other style files */

@include mat.core-theme($devportal-theme);
@include mat.button-theme($devportal-theme);

@font-face {
  font-family: 'Figtree';
  src: local('Figtree'), url(./assets/fonts/figtree/regular.ttf) format('truetype')
}

body {
  margin: 0;
  padding: 0;
  background: #131820;
}

html, body {
  height: 100%;
}


body {
  //background: rgba(9,10,17,0.8);
  //color: #EFF1F6;
  font-family: Figtree, sans-serif;
  font-size: 18px;
  font-weight: 400;
  line-height: 32px;
  letter-spacing: 0.75px;
  text-align: left;
  margin: 0;
}

.heading-1 {
  font-family: 'Figtree', system-ui;
  font-style: normal;
  font-weight: 700;
  font-size: 36px;
  line-height: 48px;
  letter-spacing: 1px;
}

.heading-3 {
  font-family: 'Figtree', system-ui;
  font-size: 18px;
  font-weight: 400;
  line-height: 32px;
  letter-spacing: 0.75px;
  text-align: left;
}

.user-bar-menu {
  padding: 0;
}

.uppercase {
  text-transform: uppercase;
}

/* NgMaterial overrides */

.mat-toolbar {
  background: transparent !important;
}

.mat-mdc-menu-content {
  padding: 0 !important;
  margin: 0;
  list-style-type: none;
}

@function modify-background($theme, $background-color) {
  // Replace the background in the color object's background palette.
  $theme-color: map-get($theme, color);
  $color-background-palette: map-get($theme-color, background);
  $color-background-palette: map-merge($color-background-palette, (background: $background-color));
  $color-background-palette: map-merge($color-background-palette, (raised-button: $background-color));

  // Replace the background in the background palette.
  $background-palette: map-get($theme, background);
  $background-palette: map-merge($background-palette, (background: $background-color));
  $background-palette: map-merge($background-palette, (raised-button: $background-color));

  // Merge the changes into a new theme.
  $modified-theme-color: map-merge($theme-color, (background: $color-background-palette));
  $modified-theme: map-merge($theme, (color: $modified-theme-color));
  $modified-theme: map-merge($modified-theme, (background: $background-palette));

  @return $modified-theme;
}

.mat-raised-button.mat-warn, .mat-fab.mat-warn, .mat-mini-fab.mat-warn, .mat-flat-button, .mat-raised-button, .mat-fab, .mat-mini-fab {
  background-color: #FFFFFF;
}

// Apply the light theme only when the user prefers light themes.
@media (prefers-color-scheme: dark) {
  // Use the `-color` mixins to only apply color styles without reapplying the same
  // typography and density styles.
  @include mat.core-color($devportal-theme);
  @include mat.button-color($devportal-theme);
}
